new core networking docs and openrc

3 views
Skip to first unread message

Daniel Robbins

unread,
Nov 28, 2009, 2:34:17 AM11/28/09
to funto...@googlegroups.com
Hi All,

I have some beta core networking docs available here:

http://www.funtoo.org/en/funtoo/core/networking/

Also, a new openrc is in the tree which contains a few more updates to the network interface configuration templates.

I'm getting pretty close to releasing this. :)

-Daniel

Piotr Karbowski

unread,
Nov 28, 2009, 5:35:47 AM11/28/09
to funto...@googlegroups.com
Thanks for new docs.

Dominik Riva

unread,
Nov 28, 2009, 5:43:21 AM11/28/09
to funto...@googlegroups.com
Looks good.

In the Wireless Configuration I think it should read
# rc-update add wpa_supplicant default
in stead of
# rc-update add dhcpcd default

One thing that is not clear to me is "Using the Template System".

Is it optional? If so why should I use it?

What is it's purpose?

How does it work?

I am sure that all this would be clear if I take a look at the scripts
but from the glance of the docs that I just had, I can't answer my
questions.

Regards, Dominik
> --
>
> You received this message because you are subscribed to the Google Groups "Funtoo" group.
> To post to this group, send email to funto...@googlegroups.com.
> To unsubscribe from this group, send email to funtoo-dev+...@googlegroups.com.
> For more options, visit this group at http://groups.google.com/group/funtoo-dev?hl=en.
>
>

Oleg

unread,
Nov 28, 2009, 10:28:34 AM11/28/09
to Funtoo
Hi, there!
Thanks for new docs and new upcoming openrc. I found minor problems
with network core. I have funtoo box running cpu-intensive
calculations that transferring them by ssh into 2nd box where I can
interpret them, etc, so my 2 boxes are configured static IP's
(netif.eth0 works fine). The problem is, you can't use ppp-connection
(I live distant from wired connections, so ppp only possible way to
get into world wide, portage sync and emerge)if netif.eth0 running-
pppd is not starting, and if pppd already started and you trying to
bring up netif.eth0, ppp-connection will break.I have nameserver
strings in resolvconf.conf (from my ISP) used by openresolv, probably
there is a confilct, not sure.It is not that big problem as I can run
my tasks on static IP, then use ppp for system updates or else but if
someone need to run both connection, there might be a problem.Once
again thanks for new network core, it is really faster and more
flexible than Gentoo one.
Oleg

mikehunt

unread,
Nov 28, 2009, 11:19:07 AM11/28/09
to Funtoo
Hi Daniel,

Another thing that may be pointed out in the DHCP-based IP Auto-
Configuration section, is the possibility to configure static IP in /
etc/dhcpcd.conf. I have been using this method until the present
without any issues. :)

Cheers,

MH

Daniel Robbins

unread,
Nov 28, 2009, 3:25:53 PM11/28/09
to funto...@googlegroups.com
On Nov 28, 2009, at 3:43 AM, Dominik Riva wrote:

> Looks good.
>
> In the Wireless Configuration I think it should read
> # rc-update add wpa_supplicant default
> in stead of
> # rc-update add dhcpcd default

Thanks for that fix.


> One thing that is not clear to me is "Using the Template System".
>
> Is it optional? If so why should I use it?
>
> What is it's purpose?
>
> How does it work?

I think this is covered in the docs. I may add a "benefits" section to the top, but the benefits are described in the "Differences from Gentoo" section if you read it.
There is also a section that explains how to use it.

-Daniel

Daniel Robbins

unread,
Nov 28, 2009, 3:28:42 PM11/28/09
to funto...@googlegroups.com

On Nov 28, 2009, at 8:28 AM, Oleg wrote:

> Hi, there!
> Thanks for new docs and new upcoming openrc. I found minor problems
> with network core. I have funtoo box running cpu-intensive
> calculations that transferring them by ssh into 2nd box where I can
> interpret them, etc, so my 2 boxes are configured static IP's
> (netif.eth0 works fine). The problem is, you can't use ppp-connection
> (I live distant from wired connections, so ppp only possible way to
> get into world wide, portage sync and emerge)if netif.eth0 running-
> pppd is not starting, and if pppd already started and you trying to
> bring up netif.eth0, ppp-connection will break.

I am not sure why this is happening for you but it sounds like it's due to your pppd script -- it should be possible to get it to work the way you want.

I am not sure why netif.eth0 would kill your pppd connection - maybe it is because you are specifying a gateway, which is overwriting the default gateway setting from pppd? Try turning off any GW setting.

-Daniel

Daniel Robbins

unread,
Nov 28, 2009, 3:29:40 PM11/28/09
to funto...@googlegroups.com
Yep, I'm aware that this is a possibility, but I forgot exactly how to do it :) Can you post your setup here?

-Daniel

Oleg

unread,
Nov 28, 2009, 5:38:57 PM11/28/09
to funto...@googlegroups.com
Hello, Daniel!
I removed a GW from /etc/conf.d/netif.eth0 (new openrc-0.5.2-r1) and now everything is working, there is no conflicts between interfaces.Actually
I don't need both running but just tested and no errors.Thx

mikehunt

unread,
Nov 28, 2009, 5:03:08 PM11/28/09
to Funtoo
Yes of course, in fact I took it straight from the man page:

# egrep -v '^(#|$)' /etc/dhcpcd.conf
hostname
option domain_name_servers, domain_name, domain_search, host_name
option ntp_servers
option interface_mtu
require dhcp_server_identifier
nohook lookup-hostname
interface eth0
static ip_address=192.168.2.10
static routers=192.168.2.1
static domain_name_servers=192.168.2.1

Pablo E. González

unread,
Nov 30, 2009, 9:39:15 AM11/30/09
to funto...@googlegroups.com
That reminds me there is no official ppp connection method, is there? I've just
made my own script which works without issues, but there is a more funtooish
:P approach?

For example, turns out that from time to time my ISP likes to kick me off the
internet, and I know I could face this issue through some script (I must
confess, I hadn't time to work on this, or i haven't been in the mood to do
it), but it would be nice to have an official script with connection control,
etc.

Paul.

-
El Saturday 28 November 2009 a las 17:28:42 Daniel Robbins
<drob...@funtoo.org>,escribió:

carp...@gmail.com

unread,
Dec 3, 2009, 4:09:28 PM12/3/09
to funto...@googlegroups.com
HI All,

Just installed openrc-0.5.2-r1 with no issue. Added a "SLAVES="netif.eth1""
to the /etc/conf.d/netif.br0 file for my bridge interface. I'm guessing that
I can add additional interfaces (tap, etc) with a space between them?

The script works great! Thanks! Is there any method for DHCP yet?

Thanks,
Ryan

Daniel Robbins

unread,
Dec 3, 2009, 4:34:29 PM12/3/09
to funto...@googlegroups.com
On Dec 3, 2009, at 2:09 PM, <carp...@gmail.com> wrote:

> HI All,
>
> Just installed openrc-0.5.2-r1 with no issue. Added a "SLAVES="netif.eth1""
> to the /etc/conf.d/netif.br0 file for my bridge interface. I'm guessing that
> I can add additional interfaces (tap, etc) with a space between them?
>
> The script works great! Thanks! Is there any method for DHCP yet?

Great, glad for the feedback. Yep, if you add more SLAVES, do it like this:

SLAVES="netif.eth1 netif.tap0 netif.wlan0"

Just make sure all are prefixed with "netif".

For DHCP, I am relying on dhcpcd 5. Specifically what functionality are you looking for?

-Daniel

Ryan Holt

unread,
Dec 3, 2009, 5:33:36 PM12/3/09
to Funtoo
Nothing particularly special... Just a client system receiving DHCP
addresses.

Thanks,
Ryan

On Dec 3, 4:34 pm, Daniel Robbins <drobb...@funtoo.org> wrote:

carp...@gmail.com

unread,
Dec 4, 2009, 9:43:24 AM12/4/09
to funto...@googlegroups.com
Heh, I'm sorry, mental brain-fart... Just edited /etc/dhcpcd.conf and added
the line 'allowinterfaces eth0'. DHCP functionality is fine.

Added a new template for alias interfaces. This depends on the parent
interface providing the gateway and nameserver settings.

Template:

fs init.d # cat /etc/netif.d/alias
#!/sbin/runscript

depend() {
config "$CONFD"
need $PARENT
}

die() {
eend 1 "$*"; exit 1
}

start() {
ebegin "$STARTD"
require IP NM
ifconfig $INT $IP netmask $NM up || die "Couldn't bring $INT up"
eend $?
}

stop() {
ebegin "$STOPD"
ifconfig $INT down || die "Couldn't bring $INT down"
eend $?
}

And here's a sample configuration file:

fs init.d # cat /etc/conf.d/netif.br0\:0
template="alias"
description="Alias Interface"
PARENT="netif.br0"

IP=10.9.18.253
NM=255.255.255.0

And the startup script is /etc/init.d/netif.br0\:0 in this case.

Thanks,
Ryan

-----Original Message-----
From: Ryan Holt [mailto:carp...@gmail.com]
Sent: Thursday, December 03, 2009 5:34 PM
To: Funtoo
Subject: Re: new core networking docs and openrc

Daniel Robbins

unread,
Dec 4, 2009, 2:24:05 PM12/4/09
to funto...@googlegroups.com
On Fri, Dec 4, 2009 at 7:43 AM, <carp...@gmail.com> wrote:
> Added a new template for alias interfaces. This depends on the parent
> interface providing the gateway and nameserver settings.

Very nice. Thanks for sending this in and I'll get this added to the
next revision of the package.

-Daniel
Reply all
Reply to author
Forward
0 new messages